using SqlSugar;

namespace YBDevice.Entity
{
    /// <summary>
    /// 角色表
    /// </summary>
    [SugarTable("YB_Role", TableDescription = "角色表", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class YB_Role
    {
        private System.Int32 _Id;
        /// <summary>
        /// 
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public System.Int32 Id { get { return this._Id; } set { this._Id = value; } }

        private System.String _Name;
        /// <summary>
        /// 角色名称
        /// </summary>
        [SugarColumn(ColumnDescription = "角色名称", ColumnDataType = "nvarchar(50)")]
        public System.String Name { get { return this._Name; } set { this._Name = value?.Trim(); } }

        private System.String _Code;
        /// <summary>
        /// 角色编号
        /// </summary>
        [SugarColumn(ColumnDescription = "角色编号", ColumnDataType = "varchar(50)")]
        public System.String Code { get { return this._Code; } set { this._Code = value?.Trim(); } }

        private System.String _Remark;
        /// <summary>
        /// 角色备注
        /// </summary>
        [SugarColumn(ColumnDescription = "角色备注", ColumnDataType = "nvarchar(200)")]
        public System.String Remark { get { return this._Remark; } set { this._Remark = value?.Trim(); } }

        private System.Int32 _Status;
        /// <summary>
        /// 状态,0-禁用,1-启用
        /// </summary>
        [SugarColumn(ColumnDescription = "状态,0-禁用,1-启用")]
        public System.Int32 Status { get { return this._Status; } set { this._Status = value; } }

        private System.DateTime _CreateTime;
        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间")]
        public System.DateTime CreateTime { get { return this._CreateTime; } set { this._CreateTime = value; } }
    }
}